• Index
  •  » Support
  •  » Problème Installation sur Mac OS X 10.4.8 (p5-gtk2)

#1 2007-03-04 12:21:28

vinzlar
New member
Registered: 2007-03-04
Posts: 1

Problème Installation sur Mac OS X 10.4.8 (p5-gtk2)

Bonjour à tous,

voilà j'ai un petit problème pour installer GCstar sur mon Mac OS X 10.4.8.
En fait, j'ai pus installé correctement X11 et ensuite MacPorts mais dès que j'ai commencé à m'attaquer à Perl, ça n'a plus été sad

Chaque fois que je lance l'installation, j'ai ce message qui s'affiche dans le Terminal.

Code:

Mac-Vincent:~ vincentdavid$ sudo port install p5-gtk2
Password:
--->  Building p5-glib with target all
Error: Target com.apple.build returned: shell command "cd "/opt/local/var/db/dports/build/_opt_local_var_db_dports_sources_rsync.rsync.darwinports.org_dpupdate_dports_perl_p5-glib/work/Glib-1.104" && make all" returned error 2
Command output: /opt/local/bin/perl -I blib/lib -I blib/arch -MGlib::GenPod -MGlib \
        -e 'add_types ("doctypes");  $Glib::GenPod::COPYRIGHT="Copyright (C) 2003-2005 by the gtk2-perl team.\n\nThis software is licensed under the LGPL.  See L<Glib> for a full notice.\n"; $Glib::GenPod::MAIN_MOD="Glib";  xsdoc2pod("build/doc.pl", "blib/lib", "build/podindex");'
Can't load 'blib/arch/auto/Glib/Glib.bundle' for module Glib: dlopen(blib/arch/auto/Glib/Glib.bundle, 1): Symbol not found: _glib_micro_version
  Referenced from: blib/arch/auto/Glib/Glib.bundle
  Expected in: dynamic lookup
 at blib/lib/Glib/GenPod.pm line 21
Compilation failed in require at blib/lib/Glib/GenPod.pm line 21.
BEGIN failed--compilation aborted at blib/lib/Glib/GenPod.pm line 21.
Compilation failed in require.
BEGIN failed--compilation aborted.
make: *** [build/podindex] Error 2

Error: The following dependencies failed to build: p5-glib
Error: Status 1 encountered during processing.

Précisions :
- la commande env dans le terminal me donne ceci :

Code:

TERM_PROGRAM=Apple_Terminal
TERM=xterm-color
SHELL=/bin/bash
TERM_PROGRAM_VERSION=133
USER=vincentdavid
__CF_USER_TEXT_ENCODING=0x1F5:0:91

PATH=/opt/local/bin:/opt/local/sbin:/bin:/sbin:/usr/bin:/usr/sbin
PWD=/Users/vincentdavid
SHLVL=1
HOME=/Users/vincentdavid
LOGNAME=vincentdavid
DISPLAY=:0.0
SECURITYSESSIONID=786850
_=/usr/bin/env

- après un port selfupdate, je peux lire ceci :

Code:

Downloaded MacPorts base version 1.320
The MacPorts installation is not outdated and so was not updated

Que dois-je faire pour régler mon problème d'après vous ?
Merci d'avance pour votre aide. Je suis impatient de pouvoir me servir de votre logiciel et d'importer ma liste de films depuis Ant Movie Catalog (eh oui je viens du monde PC, que je ne regrette pas du tout sit dit en passant ;-) )

@+

Offline

 
  • Index
  •  » Support
  •  » Problème Installation sur Mac OS X 10.4.8 (p5-gtk2)



Should you have a problem using GCstar, you can open a bug report or request some support on GCstar forums.